@charset "utf-8";
/* CSS Document */


.menu{
  width: 680px;
  margin:  50px 0 0 0;     
  list-style: none;
  counter-reset: li;
  font-family: '微軟正黑體';
}

.menu:before,
.menu:after {
  content: "";
  display: table;
}

.menu:after {
  clear: both;
}

.menu {
  zoom:1;
}

/* -------------------------------- */        

.menu li {
  float: left;
  cursor: pointer;
  height: 126px; width: 126px;
  margin: 10px 10px 0 0px;
  color: #fff;
  background-color: #ff3c6a;
  border-radius:5px;
  text-align:center;
} 

.menu .cover{
  z-index: 2;
}

.menu .cover:focus{
  outline: 0;
}

/* -------------------------------- */

.big-link:after{
  content: counter(li);
  counter-increment: li;
  font: italic bold 10px serif, georgia;
  color: rgba(255,255,255,.1);
  opacity: 0;
  -webkit-transition: all .2s ease-out;
  -moz-transition: all .2s ease-out;
  -ms-transition: all .2s ease-out; 
  -o-transition: all .2s ease-out;  
  transition: all .2s ease-out;
  position: absolute;
  left: -20px;    
  z-index: 0;
  top: 0;
}      

.big-link:hover::after, .big-link:focus::after{
  font-size: 100px;
  opacity: 1; 
}

.big-link .cover::after{
  z-index: -1;
}

/* --------------------------------       

.menu li:nth-child(1),
.menu li:nth-child(2),
.menu li:nth-child(3){
  margin-top: 0;
}

.menu li:nth-child(1),
.menu li:nth-child(4),
.menu li:nth-child(7){
  margin-left: 0;      
}

/* -------------------------------- */       

.menu li:nth-child(1),
.menu li:nth-child(1) .content,
.menu li:nth-child(1) .close{
  background-color: #629814;
}         

.menu li:nth-child(2),
.menu li:nth-child(2) .content,
.menu li:nth-child(2) .close{
  background-color: #629814;
}   

.menu li:nth-child(3),
.menu li:nth-child(3) .content,
.menu li:nth-child(3) .close{
  background-color: #629814;
}

.menu li:nth-child(4),
.menu li:nth-child(4) .content,
.menu li:nth-child(4) .close{
  background-color: #629814;     
}

.menu li:nth-child(5),
.menu li:nth-child(5) .content,
.menu li:nth-child(5) .close{
  background-color: #629814;
}

.menu li:nth-child(6),
.menu li:nth-child(6) .content,
.menu li:nth-child(6) .close{
  background-color: #629814;
}

.menu li:nth-child(7),
.menu li:nth-child(7) .content,
.menu li:nth-child(7) .close{
  background-color: #629814;
}

.menu li:nth-child(8),
.menu li:nth-child(8) .content,
.menu li:nth-child(8) .close{
  background-color: #629814;
}

.menu li:nth-child(9),
.menu li:nth-child(9) .content,
.menu li:nth-child(9) .close{
  background-color: #629814;
}
.menu li:nth-child(10),
.menu li:nth-child(10) .content,
.menu li:nth-child(10) .close{
  background-color: #629814;
}

/* -------------------------------- */

.menu .content{
  opacity: 0; display: none\9;
  overflow: hidden;
  font: 12px ;
  position: absolute;
  height: 120px; width: 120px; /* Ideally: height: 100%; width: 100%; but works at it should just in FF */
  -webkit-transition: all .3s ease-out;
  -moz-transition: all .3s ease-out;
  -ms-transition: all .3s ease-out; 
  -o-transition: all .3s ease-out;  
  transition: all .3s ease-out;      
}  

.menu .expanded{
  opacity: .95; display: block\9;
  overflow: visible;
  padding: 40px;
  height: 280px; width: 640px; /* Cover the entire area */
}

/*.menu li:nth-child(3n) .content{ /* 3,6,9 
  right: 0;
}

.menu li:nth-child(3n-1) .expanded{ /* 2,5,8 
  left: 50%;
  margin-left: -310px;
}

.menu li:nth-child(7) .content, /* 7,8,9 
.menu li:nth-child(8) .content,
.menu li:nth-child(9) .content{
  bottom: 0;
}                      

.menu li:nth-child(4) .expanded, /* 4,5,6 
.menu li:nth-child(5) .expanded,
.menu li:nth-child(6) .expanded{
  margin-top: -190px;
  top: 50%;
} 
*/
/* -------------------------------- */    

.menu .title{
  height: 100%; width: 100%;
  font:  bold 1em/120px 'trebuchet MS', Arial, helvetica;
  opacity: .7;
  color:#fff;
  text-align:center;
  margin:0 auto;
    font-size: 14pt;
  letter-spacing: 2px;
}

.menu li:hover .title{
  opacity: 1;
}    

/* -------------------------------- */

.menu .close {
  display: none;
  border: 5px solid #fff;
  color: #fff;
  cursor: pointer;
  height: 40px; width: 40px;
  font: bold 20px/40px arial, helvetica;
  position: absolute;
  text-align: center;
  top: -20px; right: -20px;
  -moz-border-radius: 40px;
  -webkit-border-radius: 40px;
  border-radius: 40px;      
}

.menu .cover .close{
  display: block;
}
